Bug 198405 - Package rdesktop lacks IPv6 support
Package rdesktop lacks IPv6 support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:28 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 13:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:28:10 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/rdesktop-1.4.1/tcp.c:194:	if ((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
/rdesktop-1.4.1/tcp.c:200:	servaddr.sin_family = AF_INET;
Comment 1 Peter Vrabec 2006-08-31 08:51:22 EDT
rdesktop is not compiled with IPv6 support. Use ipv6 option to enable it.

- %configure
+%configure --with-ipv6
Comment 2 Behdad Esfahbod 2006-08-31 13:33:49 EDT
Fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.